> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Usage Metrics

> Get usage metrics (sessions, searches, and PRs) for your enterprise

Requires an enterprise admin personal API key.

Returns usage metrics including session count, search count, and PR counts for your enterprise within the specified time period.

<Note>
  Only the [GitHub app integration](/integrations/gh) provides properly enriched statistics around PRs and PR status. For [GitLab on-premise](/integrations/gitlab) installations, MR status syncs only once a day, which can lead to a temporarily misrepresented status.
</Note>


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/metrics/usage
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/metrics/usage:
    get:
      tags:
        - metrics
      summary: Enterprise Usage Metrics Endpoint
      operationId: enterprise_usage_metrics_endpoint_v2_enterprise_metrics_usage_get
      parameters:
        - in: query
          name: start_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start Date
        - in: query
          name: end_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End Date
        - in: query
          name: start
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start
        - in: query
          name: end
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End
        - in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Org Ids
        - in: query
          name: user_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: User Ids
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageMetrics'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    UsageMetrics:
      properties:
        prs_closed:
          title: Prs Closed
          type: integer
        prs_merged:
          title: Prs Merged
          type: integer
        prs_opened:
          title: Prs Opened
          type: integer
        searches_count:
          title: Searches Count
          type: integer
        sessions_count:
          title: Sessions Count
          type: integer
      required:
        - sessions_count
        - searches_count
        - prs_opened
        - prs_closed
        - prs_merged
      title: UsageMetrics
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````